E-commerce API
POST /services/webshop/v1/shoppingcart/create Public

Create Shopping Cart

Request Body Required

FieldTypeRequiredDescriptionExample
website_id string Yes 1
ga_client_id string|null
max: 255
No GA1.2.123456789.1620000000
wemasy_session_visit_identifier string|null No abc123def456ghi789

Responses

200
422
429
Shopping cart created
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
shoppingcart object
shoppingcart.session string|null
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/webshop/v1/shoppingcart/create" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "website_id": "1",
    "ga_client_id": "GA1.2.123456789.1620000000",
    "wemasy_session_visit_identifier": "abc123def456ghi789"
}'
fetch('https://api.wemasy.nl/api/services/webshop/v1/shoppingcart/create', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "website_id": "1",
    "ga_client_id": "GA1.2.123456789.1620000000",
    "wemasy_session_visit_identifier": "abc123def456ghi789"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/webshop/v1/shoppingcart/create', {
    "website_id": "1",
    "ga_client_id": "GA1.2.123456789.1620000000",
    "wemasy_session_visit_identifier": "abc123def456ghi789"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "website_id": "1",
    "ga_client_id": "GA1.2.123456789.1620000000",
    "wemasy_session_visit_identifier": "abc123def456ghi789"
}
r = requests.post("https://api.wemasy.nl/api/services/webshop/v1/shoppingcart/create", headers=headers, json=data)
print(r.json())
Response Example
{
    "shoppingcart": {
        "session": "eeX6TCxiubsfJEE7h49dzS3RaNcHXUTHaHcjnUqd69944a0e334ed"
    }
}

Try It
Request Body Required

Export